package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.Constant;
import org.apache.bcel.classfile.ConstantObject;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.Visitor;

public final class ConstantClass extends Constant implements ConstantObject {
  private int nameIndex;
  
  public ConstantClass(org.apache.bcel.classfile.ConstantClass c) {
    this(c.getNameIndex());
  }
  
  ConstantClass(DataInput dataInput) throws IOException {
    this(dataInput.readUnsignedShort());
  }
  
  public ConstantClass(int nameIndex) {
    super((byte)7);
    this.nameIndex = nameIndex;
  }
  
  public void accept(Visitor v) {
    v.visitConstantClass(this);
  }
  
  public void dump(DataOutputStream file) throws IOException {
    file.writeByte(getTag());
    file.writeShort(this.nameIndex);
  }
  
  public String getBytes(ConstantPool cp) {
    return (String)getConstantValue(cp);
  }
  
  public Object getConstantValue(ConstantPool cp) {
    return cp.getConstantUtf8(this.nameIndex).getBytes();
  }
  
  public int getNameIndex() {
    return this.nameIndex;
  }
  
  public void setNameIndex(int nameIndex) {
    this.nameIndex = nameIndex;
  }
  
  public String toString() {
    return super.toString() + "(nameIndex = " + this.nameIndex + ")";
  }
}
